# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

MY_P="Canna36p3"

DESCRIPTION="A client-server based Kana-Kanji conversion system"
HOMEPAGE="http://canna.sourceforge.jp/"
SRC_URI="http://downloads.sourceforge.jp/canna/2181/${MY_P}.tar.gz"
LICENSE="as-is"
SLOT="0"
KEYWORDS="x86 ~ppc sparc ~alpha"
IUSE=""
DEPEND="virtual/glibc"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"

src_unpack() {
	unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/${P}-conf.diff
	epatch ${FILESDIR}/${P}-conf-dicdir.diff
	epatch ${FILESDIR}/Canna36-canuumfix.patch
	epatch ${FILESDIR}/Canna36-latin.patch
	epatch ${FILESDIR}/Canna36-Imake.patch
	epatch ${FILESDIR}/Canna36-wconv.patch
}

src_compile() {
	xmkmf || die
	make Makefiles || die
	# make includes
	make canna || die
	# make canuum
	(cd canuum
		xmkmf -a || die
		make || die
	)
}

src_install () {
	make DESTDIR=${D} install || die
	make DESTDIR=${D} install.man || die
	# install canuum
	(cd canuum
		make DESTDIR=${D} install || die
		make DESTDIR=${D} install.man || die
	)
	dodoc CHANGES.jp ChangeLog INSTALL* README* WHATIS*
	exeinto /etc/init.d ; newexe ${FILESDIR}/canna.initd canna || die
	insinto /etc/conf.d ; newins ${FILESDIR}/canna.confd canna || die
	insinto /etc/ ; newins ${FILESDIR}/canna.hosts hosts.canna || die
	touch ${D}/var/log/canna/.keep || die

	dosbin ${FILESDIR}/update-canna-dics_dir
	insinto /usr/share/canna/dics.dir.d/ ;\
		newins ${D}/var/lib/canna/dic/canna/dics.dir 00canna.dics.dir
}

pkg_postinst() {
	einfo "Regenerating dics.dir file..."
	/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
}

pkg_postrm() {
	einfo "Regenerating dics.dir file..."
	/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
}
